load 'data\completeResults.mat';

%plot accuracy
xAxis = [4 8 16 32];
ecgAccuracy = 100 * [resultsECG2s4.meanAccuracy resultsECG2s8.meanAccuracy ...
                    resultsECG2s16.meanAccuracy resultsECG2s32.meanAccuracy];
ecgError = 100 * [resultsECG2s4.stdAccuracy resultsECG2s8.stdAccuracy ...
                 resultsECG2s16.stdAccuracy resultsECG2s32.stdAccuracy];
motorAccuracy = 100 * [resultsMotorCurrent4.meanAccuracy resultsMotorCurrent8.meanAccuracy ...
                      resultsMotorCurrent16.meanAccuracy resultsMotorCurrent32.meanAccuracy];
motorError = 100 * [resultsMotorCurrent4.stdAccuracy resultsMotorCurrent8.stdAccuracy ...
                   resultsMotorCurrent16.stdAccuracy resultsMotorCurrent32.stdAccuracy];
phonemeAccuracy = 100 * [resultsPhonemes4.meanAccuracy resultsPhonemes8.meanAccuracy ...
                        resultsPhonemes16.meanAccuracy resultsPhonemes32.meanAccuracy];
phonemeError = 100 * [resultsPhonemes4.stdAccuracy resultsPhonemes8.stdAccuracy ...
                     resultsPhonemes16.stdAccuracy resultsPhonemes32.stdAccuracy];

figure;
axis([3 33 0 102]);
hold;
plot(xAxis, ecgAccuracy, '-ob');
plot(xAxis, motorAccuracy, '--sg');
plot(xAxis, phonemeAccuracy, ':dk');
errorbar(xAxis, ecgAccuracy, ecgError,'-ob');
errorbar(xAxis, motorAccuracy, motorError,'--sg');
errorbar(xAxis, phonemeAccuracy, phonemeError,':dk');


xlabel('mixtures', 'FontName', 'Times New Roman', 'FontSize', 10);
ylabel('% accuracy', 'FontName', 'Times New Roman', 'FontSize', 10);
legend('ECG', 'Motor', 'Speech',4);
hold;


%plot time
ecgTrainingTime = [resultsECG2s4.meanTrainingTime resultsECG2s8.meanTrainingTime ...
                    resultsECG2s16.meanTrainingTime resultsECG2s32.meanTrainingTime];
ecgTrainingError = [resultsECG2s4.stdTrainingTime resultsECG2s8.stdTrainingTime ...
                 resultsECG2s16.stdTrainingTime resultsECG2s32.stdTrainingTime];         
motorTrainingTime = [resultsMotorCurrent4.meanTrainingTime resultsMotorCurrent8.meanTrainingTime ...
                      resultsMotorCurrent16.meanTrainingTime resultsMotorCurrent32.meanTrainingTime];
motorTrainingError = [resultsMotorCurrent4.stdTrainingTime resultsMotorCurrent8.stdTrainingTime ...
                   resultsMotorCurrent16.stdTrainingTime resultsMotorCurrent32.stdTrainingTime];
phonemeTrainingTime = [resultsPhonemes4.meanTrainingTime resultsPhonemes8.meanTrainingTime ...
                        resultsPhonemes16.meanTrainingTime resultsPhonemes32.meanTrainingTime];
phonemeTrainingError = [resultsPhonemes4.stdTrainingTime resultsPhonemes8.stdTrainingTime ...
                     resultsPhonemes16.stdTrainingTime resultsPhonemes32.stdTrainingTime];

ecgTestingTime = [resultsECG2s4.meanTestingTime resultsECG2s8.meanTestingTime ...
                    resultsECG2s16.meanTestingTime resultsECG2s32.meanTestingTime];
ecgTrainingError = [resultsECG2s4.stdTestingTime resultsECG2s8.stdTestingTime ...
                 resultsECG2s16.stdTestingTime resultsECG2s32.stdTestingTime];         
motorTestingTime = [resultsMotorCurrent4.meanTestingTime resultsMotorCurrent8.meanTestingTime ...
                      resultsMotorCurrent16.meanTestingTime resultsMotorCurrent32.meanTestingTime];
motorTrainingError = [resultsMotorCurrent4.stdTestingTime resultsMotorCurrent8.stdTestingTime ...
                   resultsMotorCurrent16.stdTestingTime resultsMotorCurrent32.stdTestingTime];
phonemeTestingTime = [resultsPhonemes4.meanTestingTime resultsPhonemes8.meanTestingTime ...
                        resultsPhonemes16.meanTestingTime resultsPhonemes32.meanTestingTime];
phonemeTrainingError = [resultsPhonemes4.stdTestingTime resultsPhonemes8.stdTestingTime ...
                     resultsPhonemes16.stdTestingTime resultsPhonemes32.stdTestingTime];

                 
               
figure;
axis([3 33 -10 3000]);
hold;
plot(xAxis, ecgTrainingTime, '-ob');
plot(xAxis, motorTrainingTime, '--sg');
plot(xAxis, phonemeTrainingTime, ':dk');
plot(xAxis, ecgTestingTime, '-^b');
plot(xAxis, motorTestingTime, '--pg');
plot(xAxis, phonemeTestingTime, ':hk');
%errorbar(xAxis, ecgTrainingTime, ecgTrainingError,'-ob');
%errorbar(xAxis, motorTrainingTime, motorTrainingError,'--sg');
%errorbar(xAxis, phonemeTrainingTime, phonemeTrainingError,':dk');
%errorbar(xAxis, ecgTestingTime, ecgTestingError,'-ob');
%errorbar(xAxis, motorTestingTime, motorTestingError,'--sg');
%errorbar(xAxis, phonemeTestingTime, phonemeTestingError,':dk');


xlabel('mixtures', 'FontName', 'Times New Roman', 'FontSize', 10);
ylabel('time (s)', 'FontName', 'Times New Roman', 'FontSize', 10);
legend('ECG Training', 'Motor Training', 'Speech Training', ...
  'ECG Testing', 'Motor Testing', 'Speech Testing',2);
hold;